* {
    /* star applies things to every element, sort of like the wild card, eliminating margins and padding and 
set a default font */
    margin: 0;
    padding: 0;
    font-family: Helvetica, sans-serif;
    -webkit-text-size-adjust: none;
    /* for iPhone (don't want text to change size when screen adjusted to landscape */
}

header {
    text-align: center;
    background: url(images/header.png);
    height: 80px;
}

header img {
    margin-top: 20px;
    max-width: 150px;
    background: none;
}

.row {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 20px;
    margin-bottom: 30px;

}

.rowitem {

    padding: 20px;
    border-radius: 8px;
    box-shadow: 10px 10px 5px gray;
    text-align: center;
    margin: 20px;
    border: 2px solid #000;
}

.rowitem img {
    width: 90%;
    border-radius: 4px;
    margin-bottom: 15px;

}

#wrapper {
    width: auto;
    max-width: 1250px;
    height: auto;
    margin-left: auto;
    margin-right: auto;
}

#tagline {
    text-align: center;
    margin-top: 10px;
    color: green;
    font-size: 40px;
}

/*for tablet/medium screens*/
@media screen and (max-width:800px) {
    #wrapper {
        width: auto;
        max-width: none;
        height: auto;
        margin-left: auto;
        margin-right: auto;
    }

    .row {
        display: grid;
        grid-template-columns: 1fr;
        /* Stack cards on tablets */
        gap: 20px;
        margin: 30px;
    }

    #tagline {
        text-align: center;
        margin-top: 30px;
        color: green;
        font-size: 30px;
    }

    header {
        text-align: center;
        background: none;
        height: 150px;
    }

    header img {
        margin-top: 20px;
        max-width: 70%;
        background: none;
        margin-bottom: 1em;
    }

}

/*for smallest screens*/
@media screen and (max-width:400px) {
    #tagline {
        text-align: center;
        margin-top: 10px;
        color: green;
        font-size: 20px;
    }

    .rowitem img {
        display: none;
    }

    .rowitem p {
        display: none;
    }
}